> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# A table's schedule

> The table's schedule, or null.



## OpenAPI

````yaml get /api/dq/tables/{table}/schedule
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/dq/tables/{table}/schedule:
    get:
      tags:
        - Data quality
      summary: A table's schedule
      description: The table's schedule, or null.
      operationId: get_quality_schedule_api_dq_tables__table__schedule_get
      parameters:
        - name: table
          in: path
          required: true
          schema:
            type: string
            description: The table, as catalog.schema.table.
            title: Table
          description: The table, as catalog.schema.table.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/DqScheduleResponse'
                  - type: 'null'
                title: >-
                  Response Get Quality Schedule Api Dq Tables  Table  Schedule
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    DqScheduleResponse:
      properties:
        id:
          type: string
          title: Id
        table:
          type: string
          title: Table
        cron:
          type: string
          title: Cron
        timezone:
          type: string
          title: Timezone
        enabled:
          type: boolean
          title: Enabled
        owner_id:
          type: string
          title: Owner Id
        next_run_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Run At
        last_run_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Run At
        last_run_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Run Id
        last_error:
          type: string
          title: Last Error
          default: ''
        can_edit:
          type: boolean
          title: Can Edit
          default: false
        can_disable:
          type: boolean
          title: Can Disable
          default: false
      type: object
      required:
        - id
        - table
        - cron
        - timezone
        - enabled
        - owner_id
      title: DqScheduleResponse
      description: When a table's checks run on their own.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.